<?php

namespace Modules\Partners\Corporates\Contracts;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('contractNumber')
			)
			->append(
				ListingColumn::create('type')
			)
			->append(
				ListingColumn::create('idCorporate')
			)
			->append(
				ListingColumn::create('serviceCode')
			)
			->append(
				ListingColumn::create('active')
			)
			->append(
				ListingColumn::create('expireDate')
			)
			->append(
				ListingColumn::create('idResponsibleUser')
					->setType('userLabel')
			)
			->append(
				ListingColumn::create('addTime')
					->setWidth(10)->setSortable('DESC')->setType('datetime')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}
